%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   urllib3
%define modv   1.10.1


Summary:       A HTTP library for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       MIT
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/u/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.10-build.patch
Patch1:        %{modn}-1.10-tests.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Andrey Petrov <andrey.petrov@shazow.net>
Provides:      python(%{modn}) = %{modv}
Provides:      python(%{modn}.contrib) = %{modv}
Provides:      python(%{modn}.packages) = %{modv}
Provides:      python(%{modn}.packages.ssl_match_hostname) = %{modv}
Provides:      python(%{modn}.util) = %{modv}
Requires:      python-ndg_httpsclient >= 0.3.2
Requires:      python-ntlm
BuildRequires: python2-devel python-setuptools
BuildRequires: python-mock python-nose python-pytest
BuildArch:     noarch


%description
Urllib3 is a HTTP library for Python, providing thread-safe connection
pooling, file post, redirection, compression, and more.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
py.test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES* CONTRIBUTORS* LICENSE* README*
%doc --parents docs/*.rst
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Thu Feb 26 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.10.1-1
- Initial build
